Activity log for bug #1807334

Date Who What changed Old value New value Message
2018-12-07 06:56:36 Jesse Sung bug added bug
2018-12-07 06:57:09 Jesse Sung bug added subscriber Canonical Hardware Enablement
2018-12-07 06:57:14 Jesse Sung tags originate-from-1792502 plano
2018-12-07 06:59:59 Jesse Sung hwe-next: status New In Progress
2018-12-07 07:00:14 Jesse Sung hwe-next: assignee Hui Wang (hui.wang)
2018-12-12 08:35:26 Hui Wang hwe-next: importance Undecided High
2018-12-12 08:35:29 Hui Wang linux-oem (Ubuntu): importance Undecided High
2018-12-13 05:50:06 Hui Wang description There are two audio jacks on the device, one for Line-in and the other for Line-out. Audio over these jacks is supported through Realtek ALC3277 (RT5660) audio codec connected to the Processor/SoC over I2C. While the kernel already has the driver for the Codec, we still need a machine driver to connect audio FrontEnds provided by the Codec to the Intel SST Audio BackEnds. [Impact] The Dell Edge IoT Gateway is based on kabylake, and the audio codec is alc3277 which is connected to kabylake PCH via SSP0, there is no ASoC machine driver for this board, so the audio (line-out and line-in) can't work. [Fix] write a ASoC machine driver for this board, and this driver is based on the existing driver kbl_rt5663_max98927.c [Test Case] play sound via line-out jack, record sound via line-in jack, all work well. [Regression Potential] Very low, this machine driver is specific to Dell Edge IoT Gateway. Only the machine with the HID:10EC3277 in the BIOS can use this driver.
2019-01-09 11:20:23 Kleber Sacilotto de Souza bug task added linux (Ubuntu)
2019-01-09 11:20:38 Kleber Sacilotto de Souza nominated for series Ubuntu Disco
2019-01-09 11:20:38 Kleber Sacilotto de Souza bug task added linux (Ubuntu Disco)
2019-01-09 11:20:38 Kleber Sacilotto de Souza bug task added linux-oem (Ubuntu Disco)
2019-01-09 11:20:38 Kleber Sacilotto de Souza nominated for series Ubuntu Bionic
2019-01-09 11:20:38 Kleber Sacilotto de Souza bug task added linux (Ubuntu Bionic)
2019-01-09 11:20:38 Kleber Sacilotto de Souza bug task added linux-oem (Ubuntu Bionic)
2019-01-09 11:20:38 Kleber Sacilotto de Souza nominated for series Ubuntu Cosmic
2019-01-09 11:20:38 Kleber Sacilotto de Souza bug task added linux (Ubuntu Cosmic)
2019-01-09 11:20:38 Kleber Sacilotto de Souza bug task added linux-oem (Ubuntu Cosmic)
2019-01-09 11:20:48 Kleber Sacilotto de Souza linux (Ubuntu Disco): status New In Progress
2019-01-09 11:20:50 Kleber Sacilotto de Souza linux (Ubuntu Cosmic): status New In Progress
2019-01-09 11:20:52 Kleber Sacilotto de Souza linux (Ubuntu Bionic): status New In Progress
2019-01-09 11:21:06 Kleber Sacilotto de Souza linux-oem (Ubuntu Bionic): status New In Progress
2019-01-09 11:21:08 Kleber Sacilotto de Souza linux-oem (Ubuntu Cosmic): status New Invalid
2019-01-09 11:21:11 Kleber Sacilotto de Souza linux-oem (Ubuntu Disco): status In Progress Invalid
2019-01-09 17:43:13 Seth Forshee linux (Ubuntu Disco): status In Progress Fix Committed
2019-01-10 04:59:42 Khaled El Mously linux (Ubuntu Bionic): status In Progress Fix Committed
2019-01-10 04:59:45 Khaled El Mously linux (Ubuntu Cosmic): status In Progress Fix Committed
2019-01-15 10:33:03 Brad Figg tags originate-from-1792502 plano originate-from-1792502 plano verification-needed-cosmic
2019-01-15 11:37:15 Hui Wang tags originate-from-1792502 plano verification-needed-cosmic originate-from-1792502 plano verification-done-cosmic
2019-01-21 01:40:46 Hui Wang hwe-next: status In Progress Fix Committed
2019-02-04 08:48:45 Launchpad Janitor linux (Ubuntu Cosmic): status Fix Committed Fix Released
2019-02-04 08:48:45 Launchpad Janitor cve linked 2018-14625
2019-02-04 08:48:45 Launchpad Janitor cve linked 2018-16882
2019-02-04 08:48:45 Launchpad Janitor cve linked 2018-19407
2019-02-04 14:46:37 Launchpad Janitor linux (Ubuntu Disco): status Fix Committed Fix Released
2019-02-14 12:11:13 Brad Figg tags originate-from-1792502 plano verification-done-cosmic originate-from-1792502 plano verification-done-cosmic verification-needed-bionic
2019-07-24 21:32:45 Brad Figg tags originate-from-1792502 plano verification-done-cosmic verification-needed-bionic cscc originate-from-1792502 plano verification-done-cosmic verification-needed-bionic